Page MenuHomePhabricator

Security review: "Wikisource" extension
Closed, ResolvedPublic

Description

Project Information

Name of tool/project: Wikisource
Project home page: https://www.mediawiki.org/wiki/Extension:Wikisource
Name of team requesting review: @Tpt
Primary contact: @Tpt
Target date for deployment: whenever is possible. Hopefully before summer
Link to code repository / patchset: https://gerrit.wikimedia.org/g/mediawiki/extensions/Wikisource/+/refs/heads/master (mirror)
Programming language(s) used: PHP

Description of the tool/project

MediaWiki extension hosting some customization for Wikisource specific needs. It should only contains code that should be part of other extensions like ProofreadPage or Wikibase.
It currently only provide fix for T180303 but other code related to T128173 is planned.

Dependencies:

  • WikibaseClient extension

Has this project been reviewed before?

  • code review by WMDE Wikidata team

Post-deployment

@Tpt and other Wikisource devs already maintaining ProofreadPage and DoubleWiki. Hepefully help from WMDE for Wikidata related parts.

Related Phabricator tickets

Event Timeline

Aklapper renamed this task from Security review - Wikisource to Security review: "Wikisource" extension.Feb 28 2019, 9:56 AM
sbassett assigned this task to Reedy.Mar 5 2019, 6:21 PM
sbassett triaged this task as Normal priority.
sbassett lowered the priority of this task from Normal to Lowest.Apr 30 2019, 5:12 PM
sbassett updated the task description. (Show Details)Jul 1 2019, 9:16 PM
Reedy closed this task as Resolved.Jul 2 2019, 2:54 PM

This is fine to go whenever WMDE want to schedule it for deployment etc